<div>
  @switch (product()?.category) {
    @case ("Peripherals") {
      ⌨️
    }
    @case ("Networking") {
      💎
    }
    @default {
      🏷️
    }
  }
  <a [routerLink]="[product()!.id]">{{ product()?.title }}</a>
</div>

